cubicweb #16073071 upgrade ldap source to ldap3 > 2 [done]

We are using some constants that are gone from ldap3 version 2.x, see http://ldap3.readthedocs.io/changelog.html for details. We should upgrade our code to make it compatible with this new version at some point.

priorityimportant
typetask
done in3.28.0
load left0.000
closed by#5c35b94debfc [ldapfeed] make code compatible with ldap3>=2, #5a9d1e64f505 [ldapfeed] make code compatible with ldap3>=2